stages:
  - build

build-job:
    stage: build
    tags:
        - saas-linux-medium-arm64
    image: debian:bookworm
    before_script:
        - apt update
        - DEBIAN_FRONTEND=noninteractive apt install -y quilt debootstrap libarchive-tools qemu-utils gpg pigz parted zerofree zip dosfstools libcap2-bin rsync xz-utils curl xxd file git kmod bc kpartx
        - findmnt -no options -T . | grep -qw nodev && mount -vo remount,dev $(stat -c %m .) || true
    script:
        - IMG_FILENAME=citadel-os-latest ARCHIVE_FILENAME=citadel-os-latest CITADEL_OS_VERSION=0.3.7 ./build.sh
    artifacts:
        paths:
            - deploy
